-- (c)2009,2010 OraPub, Inc.

set echo off
set feedback off

prompt
prompt 
prompt OraPub, Inc.
prompt SOFTWARE LICENSE AGREEMENT
prompt 
prompt IMPORTANT: YOU SHOULD READ THIS AGREEMENT BEFORE INSTALLING THE SOFTWARE. INSTALLING THIS SOFTWARE AND/OR USING THE PROGRAM INDICATES YOUR ACCEPTANCE OF THE TERMS STATED BELOW. IF YOU DO NOT AGREE TO THESE TERMS AND CONDITIONS, DO NOT USE THIS SOFTWARE. IF YOU DO NOT AGREE TO THESE TERMS AND CONDITIONS, PLEASE DO NOT USE THIS SOFTWARE.
prompt 
prompt 1.	LICENSE. OraPub, Inc., ("OraPub") grants you a non-exclusive license to install and use the software product defined above (the "Program") subject to the terms and conditions set forth in this Software License Agreement. You are responsible for the selection of the Program to achieve your intended results, and for the installation, use and results obtained from the Program. 
prompt 
prompt 2.	COPYRIGHT. This Program is owned by OraPub and is protected by the United States copyright laws and international treaty provisions. You must treat the Program like other copyrighted material with the following exception: Under this Software License Agreement, you may make archival copies of the Program for the sole purpose of having a backup copy. 
prompt 
prompt 3.	RESTRICTIONS ON USE. You may install the Program on as many computers as you wish. Each license is restricted to a single Oracle instance. You may not reverse engineer, decompile or disassemble the Program. You may not sublicense, rent, lease, or distribute the Program. 
prompt 
prompt 4.	TRANSFER. You may not assign your rights under this Software License Agreement to a third party or to another Oracle instance.  
prompt 
prompt 5.	LIMITED PROGRAM WARRANTY. OraPub warrants that the Program, unless modified by you, will perform substantially in accordance with the accompanying Program web-page for a period of ninety (90) days from the date of delivery to the original licensee. If notified in writing during this warranty period that the Program is defective, OraPub will attempt to make the Program operate as warranted by providing a correction. If OraPub is unable to correct the defect within ninety days after notification, you may terminate your license and obtain a refund by returning all copies of the Program together with a copy of your license payment receipt. This limited warranty will apply only if the Program is licensed and located in the United States. OraPub does not warrant that the performance of the Program will meet your requirements or that the operation of the Program will be error free, or that defects in the Program will be corrected. THIS WARRANTY IS IN LIEU OF ALL OTHER WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTY OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. 
prompt 
prompt 6.	LIMITATION OF REMEDIES AND LIABILITY. The remedies described in this Software License Agreement are your exclusive remedies and OraPub's entire liability. IN NO EVENT WILL ORAPUB BE LIABLE TO YOU FOR ANY DAMAGES, INCLUDING LOST PROFITS, LOST BENEFITS, OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES, RESULTING FROM THE USE OF OR INABILITY TO USE THE PROGRAM OR ANY BREACH OF WARRANTY. ORAPUB'S LIABILITY TO YOU FOR ACTUAL DAMAGES FOR ANY CAUSE WHATSOEVER, AND REGARDLESS OF THE FORM OF ACTION, WILL BE LIMITED TO THE MONEY PAID FOR THE PROGRAM THAT CAUSED THE DAMAGES OR THAT IS THE SUBJECT MATTER OF, OR IS DIRECTLY RELATED TO, THE CAUSE OF ACTION.
prompt 
prompt 7.	TERM. This Software License Agreement is effective until terminated. You may terminate at any time by destroying all copies of the Program in any form. It will terminate automatically if you fail to comply with any term or condition of the Software License Agreement. Upon such termination, you agree to destroy all copies of Program. 
prompt 
prompt 8.	GOVERNMENT LICENSEES. RESTRICTED RIGHTS LEGEND. The Program and accompanying documentation are provided with Restricted Rights. Use, duplication, or disclosure by the U.S. Government or any agency or instrumentality thereof is subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 52.227-7013 and FAR 52.227-19. Contractor is OraPub, Inc.
prompt
prompt If you agree to the above software agreement,
accept x prompt "then press ENTER TWICE to continue with the installation. "
accept y 


set echo on
set feedback on

drop table opsi_interim;
create table opsi_interim (
	c1	varchar2(200),
  	c2  varchar2(200),
 	c3  number,
 	c4  number,
 	c5	number,
 	c6	varchar2(200),
 	c7	varchar2(200)
);

drop table opsi_result;
create table opsi_result (
  run_id				varchar2(250),
  load_time				date,
  stress_type			varchar2(250),
  stresser_source		varchar2(250),
  stresser_stat   		varchar2(250),
  stresser_strength		number,
  dbid					number,
  instance_number		number,
  dt_start				varchar2(50),
  dt_end				varchar2(50),
  day_start				varchar2(50),
  day_end				varchar2(50),
  hr_start				varchar2(50),
  hr_end				varchar2(50),
  sample_size			number
);

create index opsi_result_n1 on opsi_result (run_id);

drop table opsi_params;
create table opsi_params (
	name				varchar2(200),
	p1					number,
	p2					number,
	p3					number,
	p4					number,
	p5					number,
	p1_text				varchar2(500),
	p2_text				varchar2(500),
	p3_text				varchar2(500),
	p4_text				varchar2(500),
	p5_text				varchar2(500),
	p1_date				date,
	p2_date				date,
	p3_date				date
);
	
set echo off
set feedback off

prompt
prompt Object creation complete. Enjoy!
prompt
